Update install value overrides
curl --request PATCH \
--url https://api.cnap.tech/v1/installs/{id}/overrides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"template_helm_source_id": "<string>",
"values": {}
}
]
}
'import requests
url = "https://api.cnap.tech/v1/installs/{id}/overrides"
payload = { "updates": [
{
"template_helm_source_id": "<string>",
"values": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({updates: [{template_helm_source_id: '<string>', values: {}}]})
};
fetch('https://api.cnap.tech/v1/installs/{id}/overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Installs
Update install value overrides
Applies per-install value overrides on top of the product base values. Does not regenerate the chart.
PATCH
/
v1
/
installs
/
{id}
/
overrides
Update install value overrides
Authorizations
Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Path Parameters
Install ID
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Response
Update workflow started
⌘I